=== debian/changelog ===
kitinerary (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:23 +0100

kitinerary (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Allow tests to fail.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:28 +0100
