=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.9.0~),
               gettext,
               iso-codes,
               libkf6calendarcore-dev (>= 6.9.0~),
               libkf6contacts-dev (>= 6.9.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkmime-dev (>= 25.08.3~),
               libkpkpass-dev (>= 25.08.3~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               libssl-dev (>= 1.1~),
               libxkbcommon-dev,
               libxml2-dev,
               libzxing-dev (>= 2.0~),
               pkgconf,
               qml6-module-qtqml <!nocheck>,
               qml6-module-qtqml-models <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               shared-mime-info (>= 1.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kitinerary
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
Rules-Requires-Root: no

Package: libkitinerary-bin
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information - binaries
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the binaries like
  - kitinerary-extractor

Package: libkitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkpimitinerary-data,
Replaces: libkpimitinerary-data,
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkitinerary-dev
Section: libdevel
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.9.0~),
         libkf6contacts-dev (>= 6.9.0~),
         libkmime-dev (>= 25.08.3~),
         libkpim6itinerary6 (= ${binary:Version}),
         libkpkpass-dev (>= 25.08.3~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpim6itinerary6
Provides: ${ABI:VirtualPackage},
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: libkitinerary-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
