## kitinerary 25.08.3+p24.04+vunstable+git20251204.0200

=== debian/changelog ===
kitinerary (25.08.3+p24.04+vunstable+git20251204.0200-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:00:48 +0000

kitinerary (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:16 +1000
