## kitinerary 25.08.3+p24.04+vunstable+git20251206.0324

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,20 +5,20 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
-set(KF_MIN_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.19.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
@@ -49,8 +49,8 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.5.3")
-set(PIM_PKPASS "6.5.3")
+set(KMIME_VERSION "6.6.40")
+set(PIM_PKPASS "6.6.40")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
@@ -98,7 +98,7 @@
 if (LIBXML2_FOUND)
     set(HAVE_LIBXML2 ON)
 endif()
-if (TARGET libphonenumber::phonenumber-shared OR TARGET PhoneNumber::PhoneNumber)
+if (TARGET libphonenumber::phonenumber-shared OR TARGET libphonenumber::phonenumber OR TARGET PhoneNumber::PhoneNumber)
     set(HAVE_PHONENUMBER ON)
 endif()
