=== debian/changelog ===
kitinerary (25.08.3+p24.04+vunstable+git20251206.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:24:19 +0000
