=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: kitinerary
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes,
-               libkf6calendarcore-dev (>= 6.9.0~),
-               libkf6contacts-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkmime-dev (>= 25.08.3~),
-               libkpkpass-dev (>= 25.08.3~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkmime-dev (>= 25.11.80~),
+               libkpkpass-dev (>= 25.11.80~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -32,17 +32,16 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kitinerary
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
 Rules-Requires-Root: no
 
 Package: libkitinerary-bin
 Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for Travel Reservation information - binaries
  This library provides an API for Data Model and Extraction System for
  Travel Reservation information.
@@ -66,11 +65,11 @@
 Section: libdevel
 Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.9.0~),
-         libkf6contacts-dev (>= 6.9.0~),
-         libkmime-dev (>= 25.08.3~),
+Depends: libkf6calendarcore-dev (>= 6.6.0~),
+         libkf6contacts-dev (>= 6.6.0~),
+         libkmime-dev (>= 25.11.80~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 25.08.3~),
+         libkpkpass-dev (>= 25.11.80~),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
