=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
-               libkpkpass-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
+               libkpkpass-dev (>= 25.11.90~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt6-dev,
@@ -67,9 +67,9 @@
 Multi-Arch: same
 Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.11.80~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6itinerary6 (= ${binary:Version}),
-         libkpkpass-dev (>= 25.11.80~),
+         libkpkpass-dev (>= 25.11.90~),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: library for Travel Reservation information - development files
