## kitinerary 25.12.0+p24.04+vunstable+git20260105.1323

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,23 @@
-# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2018-2026 Laurent Montel <montel@kde.org>
 # SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.40")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
-set(KF_MIN_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -50,8 +49,8 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.6.0")
-set(PIM_PKPASS "6.6.0")
+set(KMIME_VERSION "6.6.40")
+set(PIM_PKPASS "6.6.40")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
@@ -106,6 +105,11 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.10.0)
